PDA

Voir la version complète : Fin de Qt sur Symbian ?



air-dex
01/08/2011, 23h40
Il y a deux semaines environ, les Qt labs ont publié un billet concernant la future version de Qt, Qt 4.8, alors en version bêta (http://labs.qt.nokia.com/2011/07/19/qt-4-8-beta-released/). Dans ce billet, on trouve cette déclaration à propos du support de Qt sur Symbian :
Symbian will be added as an experimental target for a later release of Qt 4.8 when it has reached beta readiness, but it will stay experimental until Symbian has adopted Qt 4.8 and final device software is available.

Therefore developers currently aiming to create and deploy apps for Symbian should continue using Qt SDK 1.1 with Qt 4.7.3. We will update the Qt 4.7.3-based target for Symbian before Qt 4.8 target for Symbian can be used for developing applications distributable via Nokia Ovi Store.Pour ceux qui ne comprennent pas l'anglais, il est dit que le support de Symbian pour Qt deviendra expérimental à partir de la prochaine version (4.8) et qu'il est conseillé de garder Qt 4.7.3 pour développer des applications Symbian avec Qt.

Va-t-on vers la fin de Qt sur Symbian ? Du support de Qt par Nokia ? Qu'en pensez-vous ?

Butler_fr
02/08/2011, 11h13
a mon avis ce ne doit pas ètre le cas je pense que tout simplement la version de QT que anna embarquera sera la 4.7.3 avec smart installer configuré pour cette version et ne prenant pas forcement bien en charge la version 4.8 .
ça a été aussi le cas pour la version 4.7 qui a été introduite (pour moi) avec nokia bubbles et que smart installer ne prenait pas en charge (d'ou un certain paquet de problème recensé sur le forum d’ailleurs^^)

si nokia abandonne qt symbian coule en quelques mois (visiblement ce n'est pas vraiment ce qu'ils ont l'intention de faire symbian = bas et moyen gamme / WP7 = moyen + et haut de gamme)

après je peux complètement me planter mais c'est ce que je pense ètre le plus plausible^^

MathieuF
03/08/2011, 09h43
Non ca va faire comme avec Qt 4.7 qui fut expérimental dans un premier temps et il était conseillé que rester avec Qt 4.6.X. Les applis Qt 4.7 étaient d'ailleurs interdites d'Ovi Store dans un premier temps. Ca sera surement pareil ici.